package com.icomsys.dsl;

import com.icomsys.message.MessageSendLogMapper;
import com.icomsys.vo.MessageSendLogInfo;
import com.icomsys.vo.MessageSendRequest;
import com.icomsys.vo.MessageSendResponse;
import com.icomsys.vo.SejongMessageSendResponse;

import java.time.LocalDateTime;

public class MessageSendServiceDslImpl implements MessageSendServiceDsl {

    private final MessageSendLogMapper messageSendLogMapper;

    public MessageSendServiceDslImpl(MessageSendLogMapper messageSendLogMapper) {
        this.messageSendLogMapper = messageSendLogMapper;
    }

    @Override
    public void insertSendLog(SejongMessageSendResponse response, MessageSendRequest request, MessageSendResponse messageSendResponse) {
        String sendYn = messageSendResponse.getCode().equals("200") ? "Y" : "N";

        MessageSendLogInfo messageSendLogInfo = new MessageSendLogInfo.Builder()
                .setSendYn(sendYn)
                .setUserKey(request.getUserKey())
                .setCallBack(request.getCallback())
                .setReceiverTelNo(request.getReceiverTelNo())
                .setSendType(messageSendResponse.getSendType())
                .setContents(request.getContents())
                .setAdvertisementYn(request.getAdvertisementYn())
                .setImageFile1("")
                .setImageFile2("")
                .setImageFile3("")
                .setVideoFile("")
                .setSenderKey(request.getSenderKey())
                .setTemplateCode(request.getTemplateCode())
                .setInitCallNo("")
                .setApiResponseCode(response.getCode())
                .setResultCode(messageSendResponse.getCode())
                .setRegistDate(LocalDateTime.now())
                .setOptionYn(request.getOptionYn())
                .build();

        messageSendLogMapper.insertSendLog(messageSendLogInfo);
    }

    @Override
    public void updateSendLog(int seq) {
        //messageSendLogMapper.updateSendLog(seq);
    }
}