package com.icomsys.vo;

import java.util.Objects;

public class MessageSendResponse {
    private String code;
    private String sendCode;
    private String message;
    private String sendType;

    public MessageSendResponse() {}

    public MessageSendResponse(String code, String sendCode, String message, String sendType) {
        this.code = code;
        this.sendCode = sendCode;
        this.message = message;
        this.sendType = sendType;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSendCode() {
        return sendCode;
    }

    public void setSendCode(String sendCode) {
        this.sendCode = sendCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getSendType() {
        return sendType;
    }

    public void setSendType(String sendType) {
        this.sendType = sendType;
    }

    @Override
    public String toString() {
        return "MessageSendResponse{" +
                "code='" + code + '\'' +
                ", sendCode='" + sendCode + '\'' +
                ", message='" + message + '\'' +
                ", sendType='" + sendType + '\'' +
                '}';
    }

    public static class Builder {
        private String code;
        private String sendCode;
        private String message;
        private String sendType;

        public Builder code(String code) {
            this.code = code;
            return this;
        }

        public Builder sendCode(String sendCode) {
            this.sendCode = sendCode;
            return this;
        }

        public Builder message(String message) {
            this.message = message;
            return this;
        }

        public Builder sendType(String sendType) {
            this.sendType = sendType;
            return this;
        }

        public MessageSendResponse build() {
            return new MessageSendResponse(code, sendCode, message, sendType);
        }
    }
}