package com.icomsys.vo;

public class SejongKakaoSendRequest {
    private String senderKey;
    private String templateCode;
    private String contents;
    private String receiverTelNo;
    private String userKey;

    public SejongKakaoSendRequest() {}

    public SejongKakaoSendRequest(String senderKey, String templateCode, String contents, String receiverTelNo, String userKey) {
        this.senderKey = senderKey;
        this.templateCode = templateCode;
        this.contents = contents;
        this.receiverTelNo = receiverTelNo;
        this.userKey = userKey;
    }

    public String getSenderKey() {
        return senderKey;
    }

    public void setSenderKey(String senderKey) {
        this.senderKey = senderKey;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getContents() {
        return contents;
    }

    public void setContents(String contents) {
        this.contents = contents;
    }

    public String getReceiverTelNo() {
        return receiverTelNo;
    }

    public void setReceiverTelNo(String receiverTelNo) {
        this.receiverTelNo = receiverTelNo;
    }

    public String getUserKey() {
        return userKey;
    }

    public void setUserKey(String userKey) {
        this.userKey = userKey;
    }

    @Override
    public String toString() {
        return "SejongKakaoSendRequest{" +
                "senderKey='" + senderKey + '\'' +
                ", templateCode='" + templateCode + '\'' +
                ", contents='" + contents + '\'' +
                ", receiverTelNo='" + receiverTelNo + '\'' +
                ", userKey='" + userKey + '\'' +
                '}';
    }

    public static class Builder {
        private String senderKey;
        private String templateCode;
        private String contents;
        private String receiverTelNo;
        private String userKey;

        public Builder senderKey(String senderKey) {
            this.senderKey = senderKey;
            return this;
        }

        public Builder templateCode(String templateCode) {
            this.templateCode = templateCode;
            return this;
        }

        public Builder contents(String contents) {
            this.contents = contents;
            return this;
        }

        public Builder receiverTelNo(String receiverTelNo) {
            this.receiverTelNo = receiverTelNo;
            return this;
        }

        public Builder userKey(String userKey) {
            this.userKey = userKey;
            return this;
        }

        public SejongKakaoSendRequest build() {
            return new SejongKakaoSendRequest(senderKey, templateCode, contents, receiverTelNo, userKey);
        }
    }
}