package com.icomsys.vo;

public class SejongLmsSendRequest extends SejongSmsSendRequest {
    private String title;

    public SejongLmsSendRequest() {
        super();
    }

    public SejongLmsSendRequest(String callback, String contents, String receiverTelNo, String userKey, String advertisementYn, String title) {
        super(callback, contents, receiverTelNo, userKey, advertisementYn);
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String toString() {
        return "SejongLmsSendRequest{" +
                "title='" + title + '\'' +
                ", callback='" + getCallback() + '\'' +
                ", contents='" + getContents() + '\'' +
                ", receiverTelNo='" + getReceiverTelNo() + '\'' +
                ", userKey='" + getUserKey() + '\'' +
                ", advertisementYn='" + getAdvertisementYn() + '\'' +
                '}';
    }

    public static class Builder {
        private String callback;
        private String contents;
        private String receiverTelNo;
        private String userKey;
        private String advertisementYn;
        private String title;

        public Builder callback(String callback) {
            this.callback = callback;
            return this;
        }

        public Builder contents(String contents) {
            this.contents = contents;
            return this;
        }

        public Builder receiverTelNo(String receiverTelNo) {
            this.receiverTelNo = receiverTelNo;
            return this;
        }

        public Builder userKey(String userKey) {
            this.userKey = userKey;
            return this;
        }

        public Builder advertisementYn(String advertisementYn) {
            this.advertisementYn = advertisementYn;
            return this;
        }

        public Builder title(String title) {
            this.title = title;
            return this;
        }

        public SejongLmsSendRequest build() {
            return new SejongLmsSendRequest(callback, contents, receiverTelNo, userKey, advertisementYn, title);
        }
    }
}