package com.icomsys.vo;

public class SejongMessageSendResponse {
    private String code;
    private String sendCode;
    private String message;

    public SejongMessageSendResponse() {}

    public SejongMessageSendResponse(String code, String sendCode, String message) {
        this.code = code;
        this.sendCode = sendCode;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSendCode() {
        return sendCode;
    }

    public void setSendCode(String sendCode) {
        this.sendCode = sendCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        return "SejongMessageSendResponse{" +
                "code='" + code + '\'' +
                ", sendCode='" + sendCode + '\'' +
                ", message='" + message + '\'' +
                '}';
    }

    public static class Builder {
        private String code;
        private String sendCode;
        private String message;

        public Builder code(String code) {
            this.code = code;
            return this;
        }

        public Builder sendCode(String sendCode) {
            this.sendCode = sendCode;
            return this;
        }

        public Builder message(String message) {
            this.message = message;
            return this;
        }

        public SejongMessageSendResponse build() {
            return new SejongMessageSendResponse(code, sendCode, message);
        }
    }
}