package com.icomsys.vo;

import java.io.Serializable;

public class SejongSmsSendRequest {
    private String callback;
    private String contents;
    private String receiverTelNo;
    private String userKey;
    private String advertisementYn;

    public SejongSmsSendRequest() {}

    public SejongSmsSendRequest(String callback, String contents, String receiverTelNo, String userKey, String advertisementYn) {
        this.callback = callback;
        this.contents = contents;
        this.receiverTelNo = receiverTelNo;
        this.userKey = userKey;
        this.advertisementYn = advertisementYn;
    }

    public String getCallback() {
        return callback;
    }

    public void setCallback(String callback) {
        this.callback = callback;
    }

    public String getContents() {
        return contents;
    }

    public void setContents(String contents) {
        this.contents = contents;
    }

    public String getReceiverTelNo() {
        return receiverTelNo;
    }

    public void setReceiverTelNo(String receiverTelNo) {
        this.receiverTelNo = receiverTelNo;
    }

    public String getUserKey() {
        return userKey;
    }

    public void setUserKey(String userKey) {
        this.userKey = userKey;
    }

    public String getAdvertisementYn() {
        return advertisementYn;
    }

    public void setAdvertisementYn(String advertisementYn) {
        this.advertisementYn = advertisementYn;
    }

    @Override
    public String toString() {
        return "SejongSmsSendRequest{" +
                "callback='" + callback + '\'' +
                ", contents='" + contents + '\'' +
                ", receiverTelNo='" + receiverTelNo + '\'' +
                ", userKey='" + userKey + '\'' +
                ", advertisementYn='" + advertisementYn + '\'' +
                '}';
    }

    public static class Builder {
        private String callback;
        private String contents;
        private String receiverTelNo;
        private String userKey;
        private String advertisementYn;

        public Builder callback(String callback) {
            this.callback = callback;
            return this;
        }

        public Builder contents(String contents) {
            this.contents = contents;
            return this;
        }

        public Builder receiverTelNo(String receiverTelNo) {
            this.receiverTelNo = receiverTelNo;
            return this;
        }

        public Builder userKey(String userKey) {
            this.userKey = userKey;
            return this;
        }

        public Builder advertisementYn(String advertisementYn) {
            this.advertisementYn = advertisementYn;
            return this;
        }

        public SejongSmsSendRequest build() {
            return new SejongSmsSendRequest(callback, contents, receiverTelNo, userKey, advertisementYn);
        }
    }
}
